import java.util.LinkedHashMap;

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents an Olympic team.
 * </p>
 * @version 1.0
 *
 */
public class OlympicTeam {
	private String country;
	private LinkedHashMap<String, OlympicAthlete> roster;

	public OlympicTeam (){
		this.country = "";
		this.roster = new LinkedHashMap<String, OlympicAthlete>();
	}
	
	public OlympicTeam (String country) {
		this.country = country;
		this.roster = new LinkedHashMap<String, OlympicAthlete>();
	}

	/**
	 * @param country
	 * @param roster
	 */
	public OlympicTeam(String country, LinkedHashMap<String, OlympicAthlete> roster) {
		this.country = country;
		this.roster = roster;
	}

	/**
	 * @return the country
	 */
	public String getCountry() {
		return country;
	}

	/**
	 * @param country the country to set
	 */
	public void setCountry(String country) {
		this.country = country;
	}

	/**
	 * @return the roster
	 */
	public LinkedHashMap<String, OlympicAthlete> getRoster() {
		return roster;
	}

	/**
	 * @param roster the roster to set
	 */
	public void setRoster(LinkedHashMap<String, OlympicAthlete> roster) {
		this.roster = roster;
	}
	
	/**
	 * @param athlete to add to the roster
	 */
	public void addToRoster(OlympicAthlete athlete) {
		this.roster.put(athlete.getName(), athlete);
	}
	
	/**
	 * Clears the roster
	 */
	public void clearRoster() {
		this.roster = new LinkedHashMap<String, OlympicAthlete>();
	}
}