import java.awt.event.*;

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * The MVC controller for the program.
 * </p>
 * @version 1.0
 *
 */
public class OlympicTeamController {
	private OlympicTeamModel model;
	private OlympicTeamInputWindow inputView;
	
	/**
	 * Creates new OlympicTeamController
	 */
	public OlympicTeamController() {
		// intentionally empty
	}

	/**
	 * AddAthleteListener provides a method to create a new Olympic athlete.
	 * The athlete should then be added to the roster of the model.
	 * The values for the new athlete come from the fields of the inputView.
	 * If the model is null when the method is called, it returns without taking any action.
	 */
	private class AddAthleteListener implements ActionListener {
		// add method here
	}
	
	/**
	 * ClearRosterListener provides a method to clear the roster of the model.
	 * If the model is null when the method is called, it returns without taking any action.
	 */
	private class ClearRosterListener implements ActionListener {
		// add method here
	}
	
	/**
	 * ClearInputFieldsListener provides a method to clear the input fields of the inputView.
	 */
	private class ClearInputFieldsListener implements ActionListener {
		// add method here
	}

	/**
	 * @param model to set as the model
	 */
	public void setModel(OlympicTeamModel model) {
		this.model = model;
	}

	/**
	 * @return OlympicTeamModel the model
	 */
	public OlympicTeamModel getModel() {  // future use
		return model;
	}

	/**
	 * @param theView on which the listeners should be set
	 */
	public void setInputWindow(OlympicTeamInputWindow theView) {
		inputView = theView;
		
		// Register listeners
		inputView.getAddAthleteButton().addActionListener(new AddAthleteListener());
		
		/***
		 *** The first action listener has been added above.  You need to add the others below.
		 *** There needs to be at least one action listener for each component one which actions can occur.
		 ***/
		
		System.out.println("listeners registered in controller for input window");
	}

	/**
	 * @return the window (in case it needs to be sent messages from elsewhere)
	 */
	public OlympicTeamInputWindow getInputWindow() {  // future use
		return inputView;
	}
}