import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.*;

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents a GUI display window (MVC view).
 * </p>
 * @version 1.0
 *
 */
public class OlympicTeamDisplayWindow extends JFrame implements ActionListener {
	private static final long serialVersionUID = -6809462324779221255L;
	
	private JList displayRoster;
	private OlympicTeamModel model;
	
	public OlympicTeamDisplayWindow() {
		setTitle("Your Roster");
	}

	public void actionPerformed(ActionEvent e) {
		displayRoster.setListData(model.getRoster().values().toArray());
		pack();
	}
	
	public void setModel(OlympicTeamModel model) {
		this.model = model;
		
		if (model != null) {
			model.addActionListener(this);
			displayRoster = new JList(model.getRoster().values().toArray());
			add(displayRoster);
			pack();
			setVisible(true);
		}
	}

	public OlympicTeamModel getModel() {
		return model;
	}
}