import java.awt.GridLayout;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents a GUI input window (MVC view).
 * </p>
 * @version 1.0
 *
 */
public class OlympicTeamInputWindow extends JFrame {
	private static final long serialVersionUID = 21305503976948004L;

	/** Button to click to add new athlete to the roster based on filled text fields. */
	JButton jbtAddAthlete = new JButton("Add Athlete");

	/** Button to clear text fields of athlete info. */
	JButton jbtClearInput = new JButton("Clear Input Fields");

	/** Button to clear roster. */
	JButton jbtClearRoster = new JButton("Clear Roster");

	/** TextField to input new athlete name. */
	JTextField jtfName = new JTextField(20);
	JLabel lblName = new JLabel("Athlete Name", JLabel.RIGHT);

	/** TextField to input athlete's event. */
	JTextField jtfEvent = new JTextField(20);
	JLabel lblEvent = new JLabel("Event Name", JLabel.RIGHT);

	/** JComboBox to input type of medal won, if any. (Gold, Silver, or Bronze) */
	JComboBox jcbMedal = new JComboBox(new String[] { "None", "Gold", "Silver", "Bronze"});
	JLabel lblMedal = new JLabel("Medal Won (if any)", JLabel.RIGHT);

	OlympicTeamInputWindow() {
		setTitle("Add New Athletes to Your Roster");
		// Create panels for names, events, medals, and command buttons
		JPanel jplName = new JPanel(new GridLayout(1, 0, 5, 5));
		jplName.add(lblName);
		jplName.add(jtfName);

		JPanel jplEvent = new JPanel(new GridLayout(1, 0, 5, 5));
		jplEvent.add(lblEvent);
		jplEvent.add(jtfEvent);

		JPanel jplMedal = new JPanel(new GridLayout(1, 0, 5, 5));
		jplMedal.add(lblMedal);
		jplMedal.add(jcbMedal);

		JPanel jplButton = new JPanel(new GridLayout(1, 0, 5, 5));
		jplButton.add(jbtAddAthlete);
		jplButton.add(jbtClearInput);
		jplButton.add(jbtClearRoster);

		// Set up the content pane and add all the panels to it.
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setLayout(new GridLayout(0, 1, 5, 5));
		add(jplName);
		add(jplEvent);
		add(jplMedal);
		add(jplButton);
		pack();
		setVisible(true);
	}
	
	public JButton getAddAthleteButton() {
		return jbtAddAthlete;
	}
	
	public JButton getClearInputButton() {
		return jbtClearInput;
	}
	
	public JButton getClearRosterButton() {
		return jbtClearRoster;
	}

	public void clearInputFields() {
		jtfName.setText("");
		jtfEvent.setText("");
		jcbMedal.setSelectedIndex(0);
	}
}